[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# FontWeightValueNames

## Declaration

Source position: lcltype.pp line 1564

`const FontWeightValueNames: array [0..13] of record = ((Value: FW_THIN; Name: 'Thin'), (Value: FW_HAIRLINE; Name: 'HairLine'), (Value: FW_EXTRALIGHT; Name: 'ExtraLight'), (Value: FW_ULTRALIGHT; Name: 'UltraLight'), (Value: FW_LIGHT; Name: 'Light'), (Value: FW_SEMILIGHT; Name: 'SemiLight'), (Value: FW_MEDIUM; Name: 'Medium'), (Value: FW_SEMIBOLD; Name: 'SemiBold'), (Value: FW_DEMIBOLD; Name: 'DemiBold'), (Value: FW_DEMIBOLD; Name: 'Demi'), (Value: FW_BOLD; Name: 'Bold'), (Value: FW_EXTRABOLD; Name: 'ExtraBold'), (Value: FW_ULTRABOLD; Name: 'UltraBold'), (Value: FW_HEAVY; Name: 'Heavy'));`

`Value: Integer;`
`Name: string;`
`end`